cubicgrid(6x)

NAME
cubicgrid - rotating 3D lattice seen from inside

SYNOPSIS
cubicgrid [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--install] [--delay microseconds] [--mono] [--speed number] [--zoom number] [--ticks number] [--bigdots] [--fps] [--symmetry crystalographic symmetry]

DESCRIPTION
This program shows the view of an observer located inside a set of points arranged to a 3D lattice. As the lattice rotates, various view-throughs appear and evolve. A simple idea with interesting results.

OPTIONS
cubicgrid accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay microseconds
    How long to pause between frames. Default is 20000, or 0.02 second.

--mono
    Draw in black and white. If not used, a fixed all-color scheme is chosen.

--speed number
    The maximum speed of the rotation. The actual speed and axis change smoothly for better effect. 0.5 - 10. The default is 1.0.

--zoom number
    Size of the lattice. Ideally it should fill all the screen, but one may find other values also interesting. 5 - 50. The default of 20 should do for common screen aspect ratios.

--ticks number
    The count of points drawn along every axis. 10 - 100. The default is 30.

--bigdots
    Draw the points twice as big.

--fps
    Display the current frame rate, CPU load, and polygon count.

--symmetry Symmetry
    Which crystalographic symmetry system to use. One of "auto", "cubic", or "hexagonal". "auto" will randomly select between symmetry systems.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2007 by Vasek Potocek. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Vasek Potocek <vasek.potocek@post.cz>, Dec-28-07.